[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

xterm: Changes to 'upstream-unstable'



 MANIFEST       |    2 
 aclocal.m4     |   63 +++-
 charproc.c     |   64 +++-
 configure      |  802 +++++++++++++++++++++++++++++++++------------------------
 configure.in   |    8 
 ctlseqs.ms     |   28 +
 ctlseqs.txt    |   24 +
 cursor.c       |   24 +
 fontutils.c    |   10 
 input.c        |   25 +
 misc.c         |    7 
 ptydata.c      |    4 
 ptyx.h         |    4 
 screen.c       |  111 ++++---
 scrollbar.c    |   40 +-
 version.h      |    4 
 xterm.h        |    8 
 xterm.log.html |   46 +++
 xterm.man      |   24 +
 xtermcfg.hin   |    3 
 20 files changed, 831 insertions(+), 470 deletions(-)

New commits:
commit 66ad0b237b0a500b01ec146b01dc04c2aec769a3
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Apr 21 02:36:56 2008 +0200

    Import xterm 235

diff --git a/MANIFEST b/MANIFEST
index 1351cab..b8d25e5 100644
--- a/MANIFEST
+++ b/MANIFEST
@@ -1,4 +1,4 @@
-MANIFEST for xterm-233, version xterm-233
+MANIFEST for xterm-235, version xterm-235
 --------------------------------------------------------------------------------
 MANIFEST                        this file
 256colres.h                     resource-definitions for 256-color mode
diff --git a/aclocal.m4 b/aclocal.m4
index 7bee0f2..790628e 100644
--- a/aclocal.m4
+++ b/aclocal.m4
@@ -1,4 +1,4 @@
-dnl $XTermId: aclocal.m4,v 1.247 2008/02/24 19:30:23 tom Exp $
+dnl $XTermId: aclocal.m4,v 1.251 2008/03/26 00:59:57 tom Exp $
 dnl
 dnl $XFree86: xc/programs/xterm/aclocal.m4,v 3.65 2006/06/19 00:36:50 dickey Exp $
 dnl
@@ -219,7 +219,7 @@ ifelse($3,,[    :]dnl
 ])dnl
   ])])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_CHECK_CACHE version: 10 updated: 2004/05/23 13:03:31
+dnl CF_CHECK_CACHE version: 11 updated: 2008/03/23 14:45:59
 dnl --------------
 dnl Check if we're accidentally using a cache from a different machine.
 dnl Derive the system name, as a check for reusing the autoconf cache.
@@ -250,7 +250,7 @@ test -n "$cf_cv_system_name" && AC_MSG_RESULT(Configuring for $cf_cv_system_name
 
 if test ".$system_name" != ".$cf_cv_system_name" ; then
 	AC_MSG_RESULT(Cached system name ($system_name) does not agree with actual ($cf_cv_system_name))
-	AC_ERROR("Please remove config.cache and try again.")
+	AC_MSG_ERROR("Please remove config.cache and try again.")
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
@@ -783,7 +783,7 @@ AC_DEFUN([CF_HELP_MESSAGE],
 [AC_DIVERT_HELP([$1])dnl
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_IMAKE_CFLAGS version: 29 updated: 2007/05/24 20:53:19
+dnl CF_IMAKE_CFLAGS version: 30 updated: 2008/03/23 15:04:54
 dnl ---------------
 dnl Use imake to obtain compiler flags.  We could, in principle, write tests to
 dnl get these, but if imake is properly configured there is no point in doing
@@ -864,14 +864,14 @@ CF_EOF
 			esac
 		done
 		if test -z "$cf_config" ; then
-			AC_WARN(Could not find imake config-directory)
+			AC_MSG_WARN(Could not find imake config-directory)
 		else
 			cf_imake_opts="$cf_imake_opts -I$cf_config"
 			if ( $IMAKE -v $cf_imake_opts 2>&AC_FD_CC)
 			then
 				CF_VERBOSE(Using $IMAKE $cf_config)
 			else
-				AC_WARN(Cannot run $IMAKE)
+				AC_MSG_WARN(Cannot run $IMAKE)
 			fi
 		fi
 	fi
@@ -1093,7 +1093,7 @@ if test -n "$cf_path_prog" ; then
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_PATH_SYNTAX version: 11 updated: 2006/09/02 08:55:46
+dnl CF_PATH_SYNTAX version: 12 updated: 2008/03/23 14:45:59
 dnl --------------
 dnl Check the argument to see that it looks like a pathname.  Rewrite it if it
 dnl begins with one of the prefix/exec_prefix variables, and then again if the
@@ -1125,7 +1125,7 @@ case ".[$]$1" in #(vi
   $1=`echo [$]$1 | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  ifelse($2,,[AC_ERROR([expected a pathname, not \"[$]$1\"])],$2)
+  ifelse($2,,[AC_MSG_ERROR([expected a pathname, not \"[$]$1\"])],$2)
   ;;
 esac
 ])dnl
@@ -1809,7 +1809,36 @@ else
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_TYPE_FD_SET version: 3 updated: 1999/10/16 13:49:00
+dnl CF_TYPE_FD_MASK version: 1 updated: 2008/03/25 20:56:27
+dnl ---------------
+dnl Check for the declaration of fd_mask, which is like fd_set, associated
+dnl with select().  The check for fd_set should have pulled in this as well,
+dnl but there is a special case for Mac OS X, possibly other BSD-derived
+dnl platforms.
+AC_DEFUN([CF_TYPE_FD_MASK],
+[
+AC_REQUIRE([CF_TYPE_FD_SET])
+
+AC_CACHE_CHECK(for declaration of fd_mask,cf_cv_type_fd_mask,[
+    if test x$cf_cv_type_fd_set = xX11/Xpoll.h ; then
+        AC_TRY_COMPILE([
+#include <X11/Xpoll.h>],[fd_mask x],,
+        [CF_MSG_LOG(if we must define CSRG_BASED)
+# Xosdefs.h on Mac OS X may not define this (but it should).
+            AC_TRY_COMPILE([
+#define CSRG_BASED
+#include <X11/Xpoll.h>],[fd_mask x],
+        cf_cv_type_fd_mask=CSRG_BASED)])
+    else
+        cf_cv_type_fd_mask=$cf_cv_type_fd_set
+    fi
+])
+if test x$cf_cv_type_fd_mask = xCSRG_BASED ; then
+    AC_DEFINE(CSRG_BASED)
+fi
+])dnl
+dnl ---------------------------------------------------------------------------
+dnl CF_TYPE_FD_SET version: 4 updated: 2008/03/25 20:56:03
 dnl --------------
 dnl Check for the declaration of fd_set.  Some platforms declare it in
 dnl <sys/types.h>, and some in <sys/select.h>, which requires <sys/types.h>.
@@ -1817,20 +1846,22 @@ dnl Finally, if we are using this for an X application, Xpoll.h may include
 dnl <sys/select.h>, so we don't want to do it twice.
 AC_DEFUN([CF_TYPE_FD_SET],
 [
+AC_CHECK_HEADERS(X11/Xpoll.h)
+
 AC_CACHE_CHECK(for declaration of fd_set,cf_cv_type_fd_set,
-	[echo "trying sys/types alone" 1>&AC_FD_CC
+	[CF_MSG_LOG(sys/types alone)
 AC_TRY_COMPILE([
 #include <sys/types.h>],
 	[fd_set x],
 	[cf_cv_type_fd_set=sys/types.h],
-	[echo "trying X11/Xpoll.h" 1>&AC_FD_CC
+	[CF_MSG_LOG(X11/Xpoll.h)
 AC_TRY_COMPILE([
 #ifdef HAVE_X11_XPOLL_H
 #include <X11/Xpoll.h>
 #endif],
 	[fd_set x],
 	[cf_cv_type_fd_set=X11/Xpoll.h],
-	[echo "trying sys/select.h" 1>&AC_FD_CC
+	[CF_MSG_LOG(sys/select.h)
 AC_TRY_COMPILE([
 #include <sys/types.h>
 #include <sys/select.h>],
@@ -2475,7 +2506,7 @@ elif test "$cf_x_athena_include" != default ; then
 fi
 ])
 dnl ---------------------------------------------------------------------------
-dnl CF_X_ATHENA_LIBS version: 6 updated: 2006/11/30 17:57:11
+dnl CF_X_ATHENA_LIBS version: 7 updated: 2008/03/23 14:46:03
 dnl ----------------
 dnl Normally invoked by CF_X_ATHENA, with $1 set to the appropriate flavor of
 dnl the Athena widgets, e.g., Xaw, Xaw3d, neXtaw.
@@ -2519,7 +2550,7 @@ do
 done
 
 if test -z "$cf_x_athena_lib" ; then
-	AC_ERROR(
+	AC_MSG_ERROR(
 [Unable to successfully link Athena library (-l$cf_x_athena_root) with test program])
 fi
 
@@ -2644,7 +2675,7 @@ AC_SUBST(HAVE_TYPE_FCCHAR32)
 AC_SUBST(HAVE_TYPE_XFTCHARSPEC)
 ])
 dnl ---------------------------------------------------------------------------
-dnl CF_X_TOOLKIT version: 11 updated: 2006/11/29 19:05:14
+dnl CF_X_TOOLKIT version: 12 updated: 2008/03/23 15:04:54
 dnl ------------
 dnl Check for X Toolkit libraries
 dnl
@@ -2673,7 +2704,7 @@ AC_CHECK_LIB(Xt, XtAppInitialize,
 	[$X_PRE_LIBS $LIBS $X_EXTRA_LIBS])])
 
 if test $cf_have_X_LIBS = no ; then
-	AC_WARN(
+	AC_MSG_WARN(
 [Unable to successfully link X Toolkit library (-lXt) with
 test program.  You will have to check and add the proper libraries by hand
 to makefile.])
diff --git a/charproc.c b/charproc.c
index 54d6dca..d0a2325 100644
--- a/charproc.c
+++ b/charproc.c
@@ -1,4 +1,4 @@
-/* $XTermId: charproc.c,v 1.836 2008/02/29 01:55:13 tom Exp $ */
+/* $XTermId: charproc.c,v 1.842 2008/04/20 22:08:42 tom Exp $ */
 
 /*
 
@@ -614,6 +614,8 @@ static XtResource resources[] =
 	 keyboard.modify_1st.other_keys, 0),
     Ires(XtNmodifyStringKeys, XtCModifyStringKeys,
 	 keyboard.modify_1st.string_keys, 0),
+    Ires(XtNformatOtherKeys, XtCFormatOtherKeys,
+	 keyboard.format_keys, 0),
 #endif
 
 #if OPT_NUM_LOCK
@@ -2884,10 +2886,8 @@ VTparse(XtermWidget xw)
     myState.lastchar = -1;	/* not a legal IChar */
     myState.nextstate = -1;	/* not a legal state */
 
-    for (;;) {
-	if (!doparsing(xw, doinput(), &myState))
-	    return;
-    }
+    do {
+    } while (doparsing(xw, doinput(), &myState));
 }
 
 static Char *v_buffer;		/* pointer to physical buffer */
@@ -4003,6 +4003,28 @@ dpmodes(XtermWidget xw,
 	    set_bool_mode(screen->delete_is_del);
 	    update_delete_del();
 	    break;
+#if OPT_NUM_LOCK
+	case 1039:
+	    set_bool_mode(screen->alt_sends_esc);
+	    update_alt_esc();
+	    break;
+#endif
+	case 1040:
+	    set_bool_mode(screen->keepSelection);
+	    update_keepSelection();
+	    break;
+	case 1041:
+	    set_bool_mode(screen->selectToClipboard);
+	    update_selectToClipboard();
+	    break;
+	case 1042:
+	    set_bool_mode(screen->bellIsUrgent);
+	    update_bellIsUrgent();
+	    break;
+	case 1043:
+	    set_bool_mode(screen->poponbell);
+	    update_poponbell();
+	    break;
 	case 1048:
 	    if (!xw->misc.titeInhibit) {
 		if (IsSM())
@@ -4760,6 +4782,13 @@ SwitchBufs(XtermWidget xw)
     ScrnUpdate(xw, 0, 0, rows, MaxCols(screen), False);
 }
 
+Bool
+CheckBufPtrs(TScreen * screen)
+{
+    return (screen->visbuf != 0
+	    && screen->altbuf != 0);
+}
+
 /*
  * Swap buffer line pointers between alternate and regular screens.
  * visbuf contains pointers from allbuf or altbuf for the visible screen,
@@ -4770,11 +4799,13 @@ SwitchBufs(XtermWidget xw)
 void
 SwitchBufPtrs(TScreen * screen)
 {
-    size_t len = ScrnPointers(screen, (unsigned) MaxRows(screen));
+    if (CheckBufPtrs(screen)) {
+	size_t len = ScrnPointers(screen, (unsigned) MaxRows(screen));
 
-    memcpy((char *) screen->save_ptr, (char *) screen->visbuf, len);
-    memcpy((char *) screen->visbuf, (char *) screen->altbuf, len);
-    memcpy((char *) screen->altbuf, (char *) screen->save_ptr, len);
+	memcpy((char *) screen->save_ptr, (char *) screen->visbuf, len);
+	memcpy((char *) screen->visbuf, (char *) screen->altbuf, len);
+	memcpy((char *) screen->altbuf, (char *) screen->save_ptr, len);
+    }
 }
 
 void
@@ -4808,11 +4839,13 @@ VTRun(void)
 	Tpushb = Tpushback;
     }
 #endif
+    screen->is_running = True;
     if (!setjmp(VTend))
 	VTparse(term);
     StopBlinking(screen);
     HideCursor();
     screen->cursor_set = OFF;
+    TRACE(("... VTRun\n"));
 }
 
 /*ARGSUSED*/
@@ -5892,6 +5925,7 @@ VTInitialize(Widget wrequest,
     init_Ires(keyboard.modify_1st.keypad_keys);
     init_Ires(keyboard.modify_1st.other_keys);
     init_Ires(keyboard.modify_1st.string_keys);
+    init_Ires(keyboard.format_keys);
     wnew->keyboard.modify_now = wnew->keyboard.modify_1st;
 #endif
 
@@ -6338,14 +6372,18 @@ VTRealize(Widget w,
 
     screen->savedlines = 0;
 
-    if (xw->misc.scrollbar) {
-	screen->fullVwin.sb_info.width = 0;
-	ScrollBarOn(xw, False, True);
-    }
     for (i = 0; i < 2; ++i) {
 	screen->alternate = !screen->alternate;
 	CursorSave(xw);
     }
+
+    /*
+     * Do this last, since it may change the layout via a resize.
+     */
+    if (xw->misc.scrollbar) {
+	screen->fullVwin.sb_info.width = 0;
+	ScrollBarOn(xw, False, True);
+    }
     return;
 }
 
diff --git a/configure b/configure
index e7f6cc5..4bf1f90 100755
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by Autoconf 2.52.20061216.
+# Generated by Autoconf 2.52.20080325.
 #
 # Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
 # Free Software Foundation, Inc.
@@ -830,7 +830,7 @@ This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
 It was created by $as_me, which was
-generated by GNU Autoconf 2.52.20061216.  Invocation command line was
+generated by GNU Autoconf 2.52.20080325.  Invocation command line was
 
   $ $0 $@
 
@@ -6950,7 +6950,7 @@ EOF
     # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
     eval `${MAKE-make} acfindx 2>/dev/null | grep -v make`
     # Open Windows xmkmf reportedly sets LIBDIR instead of USRLIBDIR.
-    for ac_extension in a so sl; do
+    for ac_extension in a so sl dylib dll; do
       if test ! -f $ac_im_usrlibdir/libX11.$ac_extension &&
          test -f $ac_im_libdir/libX11.$ac_extension; then
         ac_im_usrlibdir=$ac_im_libdir; break
@@ -7089,7 +7089,7 @@ LIBS=$ac_save_LIBS
 for ac_dir in `echo "$ac_x_includes $ac_x_header_dirs" | sed s/include/lib/g`
 do
   # Don't even attempt the hair of trying to link an X program!
-  for ac_extension in a so sl; do
+  for ac_extension in a so sl dylib dll; do
     if test -r $ac_dir/libXt.$ac_extension; then
       ac_x_libraries=$ac_dir
       break 2
@@ -8687,14 +8687,64 @@ cat >>confdefs.h <<EOF
 #define $cf_x_athena_LIBS 1
 EOF
 
-echo "$as_me:8690: checking for declaration of fd_set" >&5
+for ac_header in X11/Xpoll.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+echo "$as_me:8693: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+#line 8699 "configure"
+#include "confdefs.h"
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:8703: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  egrep -v '^ *\+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:8709: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  eval "$as_ac_Header=yes"
+else
+  echo "$as_me: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  eval "$as_ac_Header=no"
+fi
+rm -f conftest.err conftest.$ac_ext
+fi
+echo "$as_me:8728: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<EOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+EOF
+
+fi
+done
+
+echo "$as_me:8738: checking for declaration of fd_set" >&5
 echo $ECHO_N "checking for declaration of fd_set... $ECHO_C" >&6
 if test "${cf_cv_type_fd_set+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  echo "trying sys/types alone" 1>&5
+
+echo "${as_me-configure}:8744: testing sys/types alone ..." 1>&5
+
 cat >conftest.$ac_ext <<_ACEOF
-#line 8697 "configure"
+#line 8747 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -8707,24 +8757,26 @@ fd_set x
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8710: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8760: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8713: \$? = $ac_status" >&5
+  echo "$as_me:8763: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8716: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8766: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8719: \$? = $ac_status" >&5
+  echo "$as_me:8769: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_fd_set=sys/types.h
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
-echo "trying X11/Xpoll.h" 1>&5
+
+echo "${as_me-configure}:8776: testing X11/Xpoll.h ..." 1>&5
+
 cat >conftest.$ac_ext <<_ACEOF
-#line 8727 "configure"
+#line 8779 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_X11_XPOLL_H
@@ -8739,24 +8791,26 @@ fd_set x
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8742: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8794: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8745: \$? = $ac_status" >&5
+  echo "$as_me:8797: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8748: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8800: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8751: \$? = $ac_status" >&5
+  echo "$as_me:8803: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_fd_set=X11/Xpoll.h
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
-echo "trying sys/select.h" 1>&5
+
+echo "${as_me-configure}:8810: testing sys/select.h ..." 1>&5
+
 cat >conftest.$ac_ext <<_ACEOF
-#line 8759 "configure"
+#line 8813 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -8770,16 +8824,16 @@ fd_set x
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8773: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8827: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8776: \$? = $ac_status" >&5
+  echo "$as_me:8830: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8779: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8833: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8782: \$? = $ac_status" >&5
+  echo "$as_me:8836: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_fd_set=sys/select.h
 else
@@ -8793,7 +8847,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:8796: result: $cf_cv_type_fd_set" >&5
+echo "$as_me:8850: result: $cf_cv_type_fd_set" >&5
 echo "${ECHO_T}$cf_cv_type_fd_set" >&6
 if test $cf_cv_type_fd_set = sys/select.h ; then
 	cat >>confdefs.h <<\EOF
@@ -8802,14 +8856,102 @@ EOF
 
 fi
 
-echo "$as_me:8805: checking for IRIX 6.5 baud-rate redefinitions" >&5
+echo "$as_me:8859: checking for declaration of fd_mask" >&5
+echo $ECHO_N "checking for declaration of fd_mask... $ECHO_C" >&6
+if test "${cf_cv_type_fd_mask+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+    if test x$cf_cv_type_fd_set = xX11/Xpoll.h ; then
+        cat >conftest.$ac_ext <<_ACEOF
+#line 8867 "configure"
+#include "confdefs.h"
+
+#include <X11/Xpoll.h>
+int
+main ()
+{
+fd_mask x
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:8880: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:8883: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:8886: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:8889: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  :
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+
+echo "${as_me-configure}:8896: testing if we must define CSRG_BASED ..." 1>&5
+
+# Xosdefs.h on Mac OS X may not define this (but it should).
+            cat >conftest.$ac_ext <<_ACEOF
+#line 8900 "configure"
+#include "confdefs.h"
+
+#define CSRG_BASED
+#include <X11/Xpoll.h>
+int
+main ()
+{
+fd_mask x
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:8914: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:8917: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:8920: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:8923: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  cf_cv_type_fd_mask=CSRG_BASED
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+    else
+        cf_cv_type_fd_mask=$cf_cv_type_fd_set
+    fi
+
+fi
+echo "$as_me:8938: result: $cf_cv_type_fd_mask" >&5
+echo "${ECHO_T}$cf_cv_type_fd_mask" >&6
+if test x$cf_cv_type_fd_mask = xCSRG_BASED ; then
+    cat >>confdefs.h <<\EOF
+#define CSRG_BASED 1
+EOF
+
+fi
+
+echo "$as_me:8947: checking for IRIX 6.5 baud-rate redefinitions" >&5
 echo $ECHO_N "checking for IRIX 6.5 baud-rate redefinitions... $ECHO_C" >&6
 if test "${cf_cv_termio_c_ispeed+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 8812 "configure"
+#line 8954 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -8827,16 +8969,16 @@ foo.c_ospeed = B9600;
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8830: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8972: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8833: \$? = $ac_status" >&5
+  echo "$as_me:8975: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8836: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8978: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8839: \$? = $ac_status" >&5
+  echo "$as_me:8981: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_termio_c_ispeed=yes
 
@@ -8848,7 +8990,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:8851: result: $cf_cv_termio_c_ispeed" >&5
+echo "$as_me:8993: result: $cf_cv_termio_c_ispeed" >&5
 echo "${ECHO_T}$cf_cv_termio_c_ispeed" >&6
 test "$cf_cv_termio_c_ispeed" = yes && cat >>confdefs.h <<\EOF
 #define HAVE_TERMIO_C_ISPEED 1
@@ -8861,7 +9003,7 @@ LIBS="$LIBS $X_EXTRA_LIBS"
 case $host_os in #(vi
 freebsd*|netbsd*)	# 2004/8/15 - revisit this if/when grantpt is known to work.
 
-echo "$as_me:8864: checking for openpty in -lutil" >&5
+echo "$as_me:9006: checking for openpty in -lutil" >&5
 echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
 if test "${ac_cv_lib_util_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -8869,7 +9011,7 @@ else
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 8872 "configure"
+#line 9014 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -8888,16 +9030,16 @@ openpty ();
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:8891: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9033: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:8894: \$? = $ac_status" >&5
+  echo "$as_me:9036: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:8897: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9039: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8900: \$? = $ac_status" >&5
+  echo "$as_me:9042: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_util_openpty=yes
 else
@@ -8908,7 +9050,7 @@ fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:8911: result: $ac_cv_lib_util_openpty" >&5
+echo "$as_me:9053: result: $ac_cv_lib_util_openpty" >&5
 echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
 if test $ac_cv_lib_util_openpty = yes; then
   cat >>confdefs.h <<EOF
@@ -8925,13 +9067,13 @@ fi
 for ac_func in grantpt
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:8928: checking for $ac_func" >&5
+echo "$as_me:9070: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 8934 "configure"
+#line 9076 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -8962,16 +9104,16 @@ f = $ac_func;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:8965: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9107: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:8968: \$? = $ac_status" >&5
+  echo "$as_me:9110: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:8971: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9113: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8974: \$? = $ac_status" >&5
+  echo "$as_me:9116: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -8981,7 +9123,7 @@ eval "$as_ac_var=no"
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:8984: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:9126: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -8990,7 +9132,7 @@ EOF
 
 else
 
-echo "$as_me:8993: checking for openpty in -lutil" >&5
+echo "$as_me:9135: checking for openpty in -lutil" >&5
 echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
 if test "${ac_cv_lib_util_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -8998,7 +9140,7 @@ else
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 9001 "configure"
+#line 9143 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -9017,16 +9159,16 @@ openpty ();
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9020: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9162: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9023: \$? = $ac_status" >&5
+  echo "$as_me:9165: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9026: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9168: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9029: \$? = $ac_status" >&5
+  echo "$as_me:9171: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_util_openpty=yes
 else
@@ -9037,7 +9179,7 @@ fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:9040: result: $ac_cv_lib_util_openpty" >&5
+echo "$as_me:9182: result: $ac_cv_lib_util_openpty" >&5
 echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
 if test $ac_cv_lib_util_openpty = yes; then
   cat >>confdefs.h <<EOF
@@ -9054,14 +9196,14 @@ done
 	;;
 esac
 
-echo "$as_me:9057: checking for XKB Bell extension" >&5
+echo "$as_me:9199: checking for XKB Bell extension" >&5
 echo $ECHO_N "checking for XKB Bell extension... $ECHO_C" >&6
 if test "${cf_cv_xkb_bell_ext+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 9064 "configure"
+#line 9206 "configure"
 #include "confdefs.h"
 
 #include <X11/XKBlib.h>		/* has the prototype */
@@ -9082,16 +9224,16 @@ int x = XkbBI_Info
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9085: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9227: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9088: \$? = $ac_status" >&5
+  echo "$as_me:9230: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9091: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9233: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9094: \$? = $ac_status" >&5
+  echo "$as_me:9236: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_xkb_bell_ext=yes
 else
@@ -9102,7 +9244,7 @@ fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:9105: result: $cf_cv_xkb_bell_ext" >&5
+echo "$as_me:9247: result: $cf_cv_xkb_bell_ext" >&5
 echo "${ECHO_T}$cf_cv_xkb_bell_ext" >&6
 
 test "$cf_cv_xkb_bell_ext" = yes && cat >>confdefs.h <<\EOF
@@ -9112,13 +9254,13 @@ EOF
 for ac_func in Xutf8LookupString
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:9115: checking for $ac_func" >&5
+echo "$as_me:9257: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 9121 "configure"
+#line 9263 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -9149,16 +9291,16 @@ f = $ac_func;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9152: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9294: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9155: \$? = $ac_status" >&5
+  echo "$as_me:9297: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9158: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9300: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9161: \$? = $ac_status" >&5
+  echo "$as_me:9303: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -9168,7 +9310,7 @@ eval "$as_ac_var=no"
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:9171: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:9313: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -9184,7 +9326,7 @@ else
 fi
 done
 
-echo "$as_me:9187: checking if you want narrow prototypes for X libraries" >&5
+echo "$as_me:9329: checking if you want narrow prototypes for X libraries" >&5
 echo $ECHO_N "checking if you want narrow prototypes for X libraries... $ECHO_C" >&6
 
 case `$ac_config_guess` in #(vi
@@ -9210,10 +9352,10 @@ else
   enable_narrowproto=$cf_default_narrowproto
 
 fi;
-echo "$as_me:9213: result: $enable_narrowproto" >&5
+echo "$as_me:9355: result: $enable_narrowproto" >&5
 echo "${ECHO_T}$enable_narrowproto" >&6
 
-echo "$as_me:9216: checking if we should use imake to help" >&5
+echo "$as_me:9358: checking if we should use imake to help" >&5
 echo $ECHO_N "checking if we should use imake to help... $ECHO_C" >&6
 
 # Check whether --enable-imake or --disable-imake was given.
@@ -9230,7 +9372,7 @@ else
   enable_imake=yes
 
 fi;
-echo "$as_me:9233: result: $enable_imake" >&5
+echo "$as_me:9375: result: $enable_imake" >&5
 echo "${ECHO_T}$enable_imake" >&6
 
 if test "$enable_imake" = yes ; then
@@ -9239,7 +9381,7 @@ for ac_prog in xmkmf imake
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:9242: checking for $ac_word" >&5
+echo "$as_me:9384: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_IMAKE+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -9256,7 +9398,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_IMAKE="$ac_dir/$ac_word"
-   echo "$as_me:9259: found $ac_dir/$ac_word" >&5
+   echo "$as_me:9401: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -9267,10 +9409,10 @@ fi
 IMAKE=$ac_cv_path_IMAKE
 
 if test -n "$IMAKE"; then
-  echo "$as_me:9270: result: $IMAKE" >&5
+  echo "$as_me:9412: result: $IMAKE" >&5
 echo "${ECHO_T}$IMAKE" >&6
 else
-  echo "$as_me:9273: result: no" >&5
+  echo "$as_me:9415: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -9330,7 +9472,7 @@ CF_EOF
 	then
 		test -n "$verbose" && echo "	Using $IMAKE $cf_imake_opts" 1>&6
 
-echo "${as_me-configure}:9333: testing Using $IMAKE $cf_imake_opts ..." 1>&5
+echo "${as_me-configure}:9475: testing Using $IMAKE $cf_imake_opts ..." 1>&5
 
 	else
 		# sometimes imake doesn't have the config path compiled in.  Find it.
@@ -9348,7 +9490,7 @@ echo "${as_me-configure}:9333: testing Using $IMAKE $cf_imake_opts ..." 1>&5
 			esac
 		done
 		if test -z "$cf_config" ; then
-			{ echo "$as_me:9351: WARNING: Could not find imake config-directory" >&5
+			{ echo "$as_me:9493: WARNING: Could not find imake config-directory" >&5
 echo "$as_me: WARNING: Could not find imake config-directory" >&2;}


Reply to: